<?php
require_once(PATH_CODE . 'tcpdf/tcpdf.php');

class RequestPdf extends TCPDF {
    public function Footer() {
        $this->SetRightMargin(PDF_MARGIN_RIGHT);
        // Position at 15 mm from bottom
        
        $this->SetY(-15);
        // Set font

        $this->SetFont('calibri', '', 8);
        // Page number
        $this->MultiCell(0, 0, 'Printed on '.date_create('now')->format('d/m/Y'), 'T', 'L', 0, 1, PDF_MARGIN_LEFT, '', true);
        // $this->MultiCell(0, 0, 'Monday-Friday   9am-4.30pm Normal Daily Consulting Rate', 'T', 'L', 0, 1, PDF_MARGIN_LEFT, '', true);
        // $this->MultiCell(0, 0, 'Monday-Friday   after 4.30pm 1.5x Normal Daily Consulting Rate', '', 'L', 0, 1, PDF_MARGIN_LEFT, '', true);
        // $this->MultiCell(0, 0, 'Saturday&Sunday 9am-4.30pm 2x Normal Daily Consulting Rate', '', 'L', 0, 1, PDF_MARGIN_LEFT, '', true);
        // $this->MultiCell(0, 8, 'E & O.E', '', 'L', 0, 0, PDF_MARGIN_LEFT, '', true);
        $this->SetY(-15);

        $this->MultiCell(0, 0       , 'Page '.$this->getAliasNumPage().'/'.$this->getAliasNbPages(), '', 'R'           , 0, 0, PDF_MARGIN_RIGHT, '', true);
        /*
        $this->SetFont('times', '', 8);
        $this->Cell(0, 10, 'Page '.$this->getAliasNumPage().'/'.$this->getAliasNbPages(),   0, false, 'R', 0, '', 0, false, 'T', 'M');
         * */
    }
}
?>
